[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| FindMinMax< VALUETYPE > Class Template Reference Functors To Inspect Images |

Find the minimum and maximum pixel value in an image or ROI. More...

`#include <vigra/inspectimage.hxx>`

## Public Types

typedef VALUETYPE | argument_type
typedef VALUETYPE | result_type
typedef VALUETYPE | value_type

## Public Member Functions

| FindMinMax ()
void | operator() (argument_type const &v)
void | operator() (RGBValue< VALUETYPE > const &v)
void | operator() (FindMinMax const &v)
void | reset ()

## Public Attributes

unsigned int | count
VALUETYPE | max
VALUETYPE | min

## Detailed Description

### template<class VALUETYPE>
class vigra::FindMinMax< VALUETYPE >

Find the minimum and maximum pixel value in an image or ROI.

In addition the size of the ROI is calculated. These functors can also be used in conjunction with ArrayOfRegionStatistics to find the extremes of all regions in a labeled image.

Traits defined:

`FunctorTraits::isUnaryAnalyser` is true (`VigraTrueType`)

Usage:

#include <vigra/inspectimage.hxx>
Namespace: vigra

vigra::BImage img;
vigra::FindMinMax<vigra::BImage::PixelType> minmax; // init functor
vigra::inspectImage(srcImageRange(img), minmax);
cout << "Min: " << minmax.min << " Max: " << minmax.max;

Required Interface:

VALUETYPE v1, v2(v1);
v1 < v2;
v1 = v2;

## Member Typedef Documentation

## ◆ argument_type

typedef VALUETYPE argument_type

the functor's argument type

## ◆ result_type

typedef VALUETYPE result_type

the functor's result type

## ◆ value_type

typedef VALUETYPE value_type

Deprecated:
  use argument_type

## Constructor & Destructor Documentation

## ◆ FindMinMax()

FindMinMax | ( |  | ) |

init min and max

## Member Function Documentation

## ◆ reset()

void reset | ( |  | ) |

(re-)init functor (clear min, max)

## ◆ operator()() [1/3]

void operator() | ( | argument_type const & | v | ) |

update min and max

## ◆ operator()() [2/3]

void operator() | ( | RGBValue< VALUETYPE > const & | v | ) |

update min and max with components of RGBValue<VALUETYPE>

## ◆ operator()() [3/3]

void operator() | ( | FindMinMax< VALUETYPE > const & | v | ) |

merge two statistics

## Member Data Documentation

## ◆ min

VALUETYPE min

the current min

## ◆ max

VALUETYPE max

the current max

## ◆ count

unsigned int count

the number of values processed so far

The documentation for this class was generated from the following file:

- vigra/inspectimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0